## gpe-clock 0.25

=== Makefile ===
PACKAGE = gpe-clock
PREFIX = /usr/local
DEBUG = no
GTK2 = yes
CVSBUILD = no
VERSION = 0.25

LINGUAS = nl pt cs fr de ro ru sr sk sv es

MEMBERS = clock 

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS)
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS)

.SUFFIXES: .d

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
PACKAGE_CFLAGS += -I../libschedule -I../libgpelaunch
PACKAGE_LDFLAGS += -L../libschedule -L../libgpelaunch/.libs
BUILD = ../build
else
BUILD = build
endif

PACKAGE_LDFLAGS += -lschedule -lgpelaunch

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## gpe-clock 0.27

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 DEBUG = no
 GTK2 = yes
 CVSBUILD = no
-VERSION = 0.25
+VERSION = 0.27
 
-LINGUAS = nl pt cs fr de ro ru sr sk sv es
+LINGUAS = nl pt cs fr de ro ru sr sk sv es fi ja hu ko ky pt_BR sl tr vi wa zh_CN
+
 
 MEMBERS = clock 
 
@@ -36,7 +37,7 @@
 
 install-program: all
 	install -d $(DESTDIR)$(PREFIX)/bin
-	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
+	install $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
 	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
 	install -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
 	install -d $(DESTDIR)$(PREFIX)/share/applications

=== debian/changelog ===
gpe-clock (0.27-2) unstable; urgency=low

  * Build with -lX11 and test with -Wl,--no-add-needed (Closes: #554728)
  * Switch patches to dpkg source format 3.0 quilt
  * Add pkg-gpe vcs fields

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Dec 2009 13:56:15 +0000

gpe-clock (0.27-1) unstable; urgency=low

  * New upstream release
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Tue, 19 May 2009 13:26:29 +0100

gpe-clock (0.26-1) unstable; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Feb 2009 17:53:24 +0000

gpe-clock (0.25-4) unstable; urgency=low

  * Missing .png icon (Closes: #457369)
  * Standards version update (no changes)
  * migrate menu section to new structure
  * Depend on gpe-announce for alarm support
  * Add cross build support
  * Add Debian GPE team to uploaders

 -- Neil Williams <codehelp@debian.org>  Thu, 31 Jan 2008 20:07:03 +0000

gpe-clock (0.25-3) unstable; urgency=low

  * package translations
  * migrate to Debian GPE team

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2007 19:55:02 +0000

gpe-clock (0.25-2) unstable; urgency=low

  * Add gpe-icons runtime dependency.
  * 1st upload to unstable.

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Jan 2007 14:44:21 +0000

gpe-clock (0.25-1) experimental; urgency=low

  * Initial release. (Closes: #404030: ITP: gpe-clock -- alarm clock
    tray applet for GPE - Debian Bug report logs)
  * Uploading to experimental due to new dependencies.

 -- Neil Williams <codehelp@debian.org>  Sat, 23 Dec 2006 20:42:27 +0000

=== debian/control ===
Source: gpe-clock
Section: x11
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libgpewidget-dev, libglib2.0-dev, libgtk2.0-dev,
 libgpeschedule-dev, libgpelaunch-dev
Standards-Version: 3.8.3
Homepage: http://gpe.linuxtogo.org/projects/gpe-clock.shtml
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-clock/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-clock/trunk/

Package: gpe-clock
Section: x11
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpe-icons, libgpewidget1 (>= 0.115-5),
 gpe-announce
Description: alarm clock tray applet for GPE
 gpe-clock is an alarm clock dock application for the
 GPE Palmtop Environment. It displays the time in the 
 system tray and manages simple alarms (single or 
 weekly). It can be configured to display a digital 
 or an analogue clock face.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
DEB_MAKE_ENVVARS=CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

# See #554728
#GOLDFLAGS="-Wl,--no-add-needed -lX11"
GOLDFLAGS=-lX11
DEB_MAKE_INVOKE=LDFLAGS=$(GOLDFLAGS)

build/gpe-clock::
	$(MAKE) PREFIX=/usr DESTDIR=debian/gpe-clock/ install-mo

DEB_MAKE_INSTALL_TARGET=$(MAKE) PREFIX=/usr DESTDIR=debian/gpe-clock/ install

=== debian/watch ===
version=3

http://gpe.linuxtogo.org/download/source/gpe-clock-(.*)\.tar\.gz
